#include <stdio.h>

int open()
{
  printf("open: fixme\n");
  return 10;
}

int close()
{
  printf("close: fixme\n");
  return 11;
}

#ifndef WITH_UIP
#ifdef WITH_RS232

#include "uip.h"

/*-----------------------------------------------------------------------------------*/
/* The following global variables are used for passing parameters
 * between uIP, the network device driver and the application. */
/*-----------------------------------------------------------------------------------*/

/* u8_t uip_buf[UIP_BUFSIZE]:
 * 
 * The uip_buf array is used to hold incoming and outgoing
 * packets. The device driver fills this with incoming packets.
 */
u8_t uip_buf[UIP_BUFSIZE];

/* u8_t *uip_appdata:
 * 
 * This pointer points to the application data when the application is
 * called. If the application wishes to send data, this is where the
 * application should write it. The application can also point this to
 * another location.
 */
volatile u8_t *uip_appdata; 

#if UIP_URGDATA > 0 
/* u8_t *uip_urgdata:
 * 
 * This pointer points to any urgent data that has been received. Only
 * present if compiled with support for urgent data (UIP_URGDATA).
 */
volatile u8_t *uip_urgdata; 
#endif /* UIP_URGDATA > 0 */


/* u[8|16]_t uip_len:
 * 
 * When the application is called, uip_len contains the length of any
 * new data that has been received from the remote host. The
 * application should set this variable to the size of any data that
 * the application wishes to send. When the network device driver
 * output function is called, uip_len should contain the length of the
 * outgoing packet.
 */
#if UIP_BUFSIZE > 255
volatile u16_t uip_len, uip_slen;
#else
volatile u8_t uip_len, uip_slen;
#endif 

#endif
#endif
